---
title: "List entity references"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{entityId}/references`

## Path parameters

- `entityId` (`entity-references-list.path.entityId`; string, required)
  - format `uuid`

## Query parameters

- `referenceType` (`entity-references-list.query.referenceType`; string, optional)
  - one of `"credit"`, `"customer"`, `"all"`; default `"all"`
- `onlyVerified` (`entity-references-list.query.onlyVerified`; boolean, optional)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/references'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/references';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/references"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "entity": {
    "id": "string",
    "name": "string",
    "slug": "string",
    "entityType": "string",
    "verified": true
  },
  "creditReferences": [
    {
      "entity": {
        "id": "string",
        "name": "string",
        "slug": "string",
        "entityType": "string",
        "verified": true
      },
      "relationship": {
        "referenceType": "credit",
        "relationshipSince": "string",
        "relationshipStatus": "string",
        "rating": "string",
        "paymentTerms": "string",
        "creditLimit": 0,
        "yearsOfRelationship": 0,
        "notes": "string",
        "verified": true,
        "verifiedAt": "string",
        "contactName": "string",
        "contactTitle": "string",
        "contactEmail": "string",
        "contactPhone": "string",
        "addedBy": "string",
        "addedAt": "string",
        "updatedAt": "string"
      }
    }
  ],
  "customerReferences": [
    {
      "entity": {
        "id": "string",
        "name": "string",
        "slug": "string",
        "entityType": "string",
        "verified": true
      },
      "relationship": {
        "referenceType": "credit",
        "relationshipSince": "string",
        "relationshipStatus": "string",
        "rating": "string",
        "paymentTerms": "string",
        "creditLimit": 0,
        "yearsOfRelationship": 0,
        "notes": "string",
        "verified": true,
        "verifiedAt": "string",
        "contactName": "string",
        "contactTitle": "string",
        "contactEmail": "string",
        "contactPhone": "string",
        "addedBy": "string",
        "addedAt": "string",
        "updatedAt": "string"
      }
    }
  ]
}
```

- `entity` (`entity-references-list.response.200.entity`; object, required)
  - `id` (`entity-references-list.response.200.entity.id`; string, required)
  - `name` (`entity-references-list.response.200.entity.name`; string, required)
  - `slug` (`entity-references-list.response.200.entity.slug`; string, required)
  - `entityType` (`entity-references-list.response.200.entity.entityType`; string, optional, nullable)
  - `verified` (`entity-references-list.response.200.entity.verified`; boolean, optional)
- `creditReferences` (`entity-references-list.response.200.creditReferences`; array<object>, required)
  - `entity` (`entity-references-list.response.200.creditReferences.entity`; object, required)
    - `id` (`entity-references-list.response.200.creditReferences.entity.id`; string, required)
    - `name` (`entity-references-list.response.200.creditReferences.entity.name`; string, required)
    - `slug` (`entity-references-list.response.200.creditReferences.entity.slug`; string, required)
    - `entityType` (`entity-references-list.response.200.creditReferences.entity.entityType`; string, optional, nullable)
    - `verified` (`entity-references-list.response.200.creditReferences.entity.verified`; boolean, optional)
  - `relationship` (`entity-references-list.response.200.creditReferences.relationship`; object, required)
    - `referenceType` (`entity-references-list.response.200.creditReferences.relationship.referenceType`; string, required)
      - one of `"credit"`, `"customer"`
    - `relationshipStatus` (`entity-references-list.response.200.creditReferences.relationship.relationshipStatus`; string, required)
    - `verified` (`entity-references-list.response.200.creditReferences.relationship.verified`; boolean, required)
    - `addedBy` (`entity-references-list.response.200.creditReferences.relationship.addedBy`; string, required)
    - `addedAt` (`entity-references-list.response.200.creditReferences.relationship.addedAt`; string, required)
    - `updatedAt` (`entity-references-list.response.200.creditReferences.relationship.updatedAt`; string, required)
    - `relationshipSince` (`entity-references-list.response.200.creditReferences.relationship.relationshipSince`; string, optional, nullable)
    - `rating` (`entity-references-list.response.200.creditReferences.relationship.rating`; string, optional, nullable)
    - `paymentTerms` (`entity-references-list.response.200.creditReferences.relationship.paymentTerms`; string, optional, nullable)
    - `creditLimit` (`entity-references-list.response.200.creditReferences.relationship.creditLimit`; number, optional, nullable)
    - `yearsOfRelationship` (`entity-references-list.response.200.creditReferences.relationship.yearsOfRelationship`; number, optional, nullable)
    - `notes` (`entity-references-list.response.200.creditReferences.relationship.notes`; string, optional, nullable)
    - `verifiedAt` (`entity-references-list.response.200.creditReferences.relationship.verifiedAt`; string, optional, nullable)
    - `contactName` (`entity-references-list.response.200.creditReferences.relationship.contactName`; string, optional, nullable)
    - `contactTitle` (`entity-references-list.response.200.creditReferences.relationship.contactTitle`; string, optional, nullable)
    - `contactEmail` (`entity-references-list.response.200.creditReferences.relationship.contactEmail`; string, optional, nullable)
    - `contactPhone` (`entity-references-list.response.200.creditReferences.relationship.contactPhone`; string, optional, nullable)
- `customerReferences` (`entity-references-list.response.200.customerReferences`; array<object>, required)
  - `entity` (`entity-references-list.response.200.customerReferences.entity`; object, required)
    - `id` (`entity-references-list.response.200.customerReferences.entity.id`; string, required)
    - `name` (`entity-references-list.response.200.customerReferences.entity.name`; string, required)
    - `slug` (`entity-references-list.response.200.customerReferences.entity.slug`; string, required)
    - `entityType` (`entity-references-list.response.200.customerReferences.entity.entityType`; string, optional, nullable)
    - `verified` (`entity-references-list.response.200.customerReferences.entity.verified`; boolean, optional)
  - `relationship` (`entity-references-list.response.200.customerReferences.relationship`; object, required)
    - `referenceType` (`entity-references-list.response.200.customerReferences.relationship.referenceType`; string, required)
      - one of `"credit"`, `"customer"`
    - `relationshipStatus` (`entity-references-list.response.200.customerReferences.relationship.relationshipStatus`; string, required)
    - `verified` (`entity-references-list.response.200.customerReferences.relationship.verified`; boolean, required)
    - `addedBy` (`entity-references-list.response.200.customerReferences.relationship.addedBy`; string, required)
    - `addedAt` (`entity-references-list.response.200.customerReferences.relationship.addedAt`; string, required)
    - `updatedAt` (`entity-references-list.response.200.customerReferences.relationship.updatedAt`; string, required)
    - `relationshipSince` (`entity-references-list.response.200.customerReferences.relationship.relationshipSince`; string, optional, nullable)
    - `rating` (`entity-references-list.response.200.customerReferences.relationship.rating`; string, optional, nullable)
    - `paymentTerms` (`entity-references-list.response.200.customerReferences.relationship.paymentTerms`; string, optional, nullable)
    - `creditLimit` (`entity-references-list.response.200.customerReferences.relationship.creditLimit`; number, optional, nullable)
    - `yearsOfRelationship` (`entity-references-list.response.200.customerReferences.relationship.yearsOfRelationship`; number, optional, nullable)
    - `notes` (`entity-references-list.response.200.customerReferences.relationship.notes`; string, optional, nullable)
    - `verifiedAt` (`entity-references-list.response.200.customerReferences.relationship.verifiedAt`; string, optional, nullable)
    - `contactName` (`entity-references-list.response.200.customerReferences.relationship.contactName`; string, optional, nullable)
    - `contactTitle` (`entity-references-list.response.200.customerReferences.relationship.contactTitle`; string, optional, nullable)
    - `contactEmail` (`entity-references-list.response.200.customerReferences.relationship.contactEmail`; string, optional, nullable)
    - `contactPhone` (`entity-references-list.response.200.customerReferences.relationship.contactPhone`; string, optional, nullable)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-references-list.response.400.error`; object, required)
  - `code` (`entity-references-list.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-references-list.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-references-list.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-references-list.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-references-list.response.401.error`; object, required)
  - `code` (`entity-references-list.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-references-list.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-references-list.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-references-list.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-references-list.response.403.error`; object, required)
  - `code` (`entity-references-list.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-references-list.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-references-list.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-references-list.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-references-list.response.404.error`; object, required)
  - `code` (`entity-references-list.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-references-list.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-references-list.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-references-list.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-references-list.response.409.error`; object, required)
  - `code` (`entity-references-list.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-references-list.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-references-list.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-references-list.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-references-list.response.500.error`; object, required)
  - `code` (`entity-references-list.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-references-list.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-references-list.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-references-list.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-references-list.response.503.error`; object, required)
  - `code` (`entity-references-list.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-references-list.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-references-list.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-references-list.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-references-list/index.md
